Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354490 - 'Unexpected error encountered' browsing to osp infra nodes
Summary: 'Unexpected error encountered' browsing to osp infra nodes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.0
Assignee: Marek Aufart
QA Contact: Dave Johnson
URL:
Whiteboard: openstack:ui:error
Depends On:
Blocks: 1354611 1354612
TreeView+ depends on / blocked
 
Reported: 2016-07-11 12:26 UTC by Ronnie Rasouli
Modified: 2017-01-12 04:41 UTC (History)
7 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1354611 1354612 (view as bug list)
Environment:
Last Closed: 2017-01-11 20:19:40 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
evm.log with exception (deleted)
2016-07-11 12:26 UTC, Ronnie Rasouli
no flags Details

Description Ronnie Rasouli 2016-07-11 12:26:06 UTC
Created attachment 1178388 [details]
evm.log with exception

Description of problem:

Browsing into infrastructure provider ends with page exception 

undefined method `<<' for nil:NilClass [host/show] 

Version-Release number of selected component (if applicable):
5.5.5.0

How reproducible:
100%

Steps to Reproduce:
1. login to CFME UI
2. go to infrastructure --> Nodes
3. Click on one of the nodes thumbnail

Actual results:

Exception raised 'Unexpected error encountered' 

Expected results:

The infra providers nodes should appear


Additional info:

Comment 2 Ronnie Rasouli 2016-07-11 12:43:08 UTC
RHOS7 Version

Comment 6 Marek Aufart 2016-07-12 07:43:33 UTC
This issue was fixed in 5.6.0.1 by https://bugzilla.redhat.com/show_bug.cgi?id=1312560

Comment 7 Satoe Imaishi 2016-08-24 14:26:33 UTC
PR: https://github.com/ManageIQ/manageiq/pull/7197

Comment 8 Ronnie Rasouli 2016-10-05 06:52:36 UTC
Verified on 5.7.0.3


Note You need to log in before you can comment on or make changes to this bug.